
#import "RNDismissKeyboardNative.h"
#import "RCTBridge.h"

@implementation RNDismissKeyboardNative

- (dispatch_queue_t)methodQueue
{
    return dispatch_get_main_queue();
}
RCT_EXPORT_MODULE(RNDismissKeyboardNative)

RCT_EXPORT_METHOD(dismiss)
{
    NSLog(@"Dismissing keyboard");

    dispatch_async(dispatch_get_main_queue(), ^{
        UIApplication *app = [UIApplication sharedApplication];
        UIWindow * window = [app keyWindow];
        [window endEditing:YES];
    });
}

@end